<ui:composition
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns="http://www.w3.org/1999/xhtml">

    <s:decorate id="provenanceDecoration"
                template="/layout/form/_edit.xhtml">
        <ui:define name="label">
            #{messages['net.ihe.gazelle.assertion-manager.Provenance']}
        </ui:define>
        <ui:param name="id" value="provenanceInput"/>
        <h:inputText id="provenanceInput" styleClass="form-control"
                     placeholder="#{oasisRefSourceManager.getProvenancesExamples()}"
                     value="#{docParam.resourceProvenanceId}"
                     size="#{docParam.resourceProvenanceId.length()}"
                     required="true">
            <a4j:ajax event="blur" render="provenanceDecoration"
                      execute="@this"/>
        </h:inputText>
    </s:decorate>
    <s:decorate id="nameDecoration" template="/layout/form/_edit.xhtml">
        <ui:define name="label">#{messages['net.ihe.gazelle.assertion-manager.Name']}
        </ui:define>
        <ui:param name="id" value="nameInput"/>
        <h:inputText id="nameInput" styleClass="form-control"
                     value="#{docParam.name}"
                     size="#{docParam.name.length()+50}"
                     required="true">
            <a4j:ajax event="blur" render="nameDecoration"
                      execute="@this"/>
        </h:inputText>
    </s:decorate>
    <s:decorate id="RevisionDecoration"
                template="/layout/form/_edit.xhtml">
        <ui:define name="label">
            #{messages['net.ihe.gazelle.assertion-manager.Revision']}
        </ui:define>
        <ui:param name="id" value="RevisionInput"/>
        <h:inputText id="RevisionInput" styleClass="form-control"
                     value="#{docParam.revisionId}"
                     size="#{docParam.revisionId.length()}"
                     required="true">
            <a4j:ajax event="blur" render="RevisionDecoration"
                      execute="@this"/>
        </h:inputText>
    </s:decorate>
    <s:decorate id="uriDecoration" template="/layout/form/_edit.xhtml">
        <ui:define name="label">#{messages['net.ihe.gazelle.assertion-manager.Uri']}
        </ui:define>
        <ui:param name="id" value="uriInput"/>
        <h:inputText id="uriInput" styleClass="form-control"
                     value="#{docParam.uri}"
                     size="#{docParam.uri.length()+50}"
                     required="true">
            <f:validator binding="#{uriValidator}"/>
            <a4j:ajax event="blur" render="uriDecoration,documentForm"
                      execute="@this"/>
        </h:inputText>
    </s:decorate>
</ui:composition>